Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Configuration_Section_IntId Class Reference

The internal ID for a section hash table. More...

`#include <Configuration.h>`

Collaboration diagram for ACE_Configuration_Section_IntId:

[legend]
List of all members.

## Public Methods
| ACE_Configuration_Section_IntId (void)
| Default ctor.
ACE_EXPLICIT | ACE_Configuration_Section_IntId (VALUE_MAP *value_hash_map, SUBSECTION_MAP *section_hash_map)
| Named ctor.
| ACE_Configuration_Section_IntId (const ACE_Configuration_Section_IntId &rhs)
| Copy ctor.
| ~ACE_Configuration_Section_IntId (void)
| Destructor.
ACE_Configuration_Section_IntId & | operator= (const ACE_Configuration_Section_IntId &rhs)
| Assignment operator.
void | free (ACE_Allocator *alloc)
| Frees the hash table and all its values.
## Public Attributes
VALUE_MAP * | value_hash_map_
SUBSECTION_MAP * | section_hash_map_

## Detailed Description

The internal ID for a section hash table.

Contains a hash table containing value name/values

## Constructor & Destructor Documentation

ACE_Configuration_Section_IntId::ACE_Configuration_Section_IntId | ( | void |  | ) |

| Default ctor.

ACE_Configuration_Section_IntId::ACE_Configuration_Section_IntId | ( | VALUE_MAP * | value_hash_map,
|  | SUBSECTION_MAP * | section_hash_map
| ) |

| Named ctor.

ACE_Configuration_Section_IntId::ACE_Configuration_Section_IntId | ( | const ACE_Configuration_Section_IntId & | rhs | ) |

| Copy ctor.

ACE_Configuration_Section_IntId::~ACE_Configuration_Section_IntId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void ACE_Configuration_Section_IntId::free | ( | ACE_Allocator * | alloc | ) |

| Frees the hash table and all its values.

ACE_Configuration_Section_IntId & ACE_Configuration_Section_IntId::operator= | ( | const ACE_Configuration_Section_IntId & | rhs | ) |

| Assignment operator.

## Member Data Documentation

SUBSECTION_MAP* ACE_Configuration_Section_IntId::section_hash_map_

VALUE_MAP* ACE_Configuration_Section_IntId::value_hash_map_

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Configuration.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Configuration.cpp